package admin_feature

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"ycc-server/app/main/api/internal/logic/admin_feature"
	"ycc-server/app/main/api/internal/svc"
	"ycc-server/app/main/api/internal/types"
	"ycc-server/common/result"
	"ycc-server/pkg/lzkit/validator"
)

func AdminGetFeatureDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AdminGetFeatureDetailReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_feature.NewAdminGetFeatureDetailLogic(r.Context(), svcCtx)
		resp, err := l.AdminGetFeatureDetail(&req)
		result.HttpResult(r, w, resp, err)
	}
}
